{% extends "layout.html" %}
{% block content %}
    {% for post in posts %}
    <article class="media content-section">
            <div class="media-body">
              <div class="article-metadata">
                <a class="mr-2" href="#">{{ post.user.username }}</a>
                <small class="text-muted">{{ post.date_posted.strftime('%Y-%m-%d') }}</small>
              </div>
              <h2><a class="article-title" href="{{url_for('post', post_id=post.id)}}">{{ post.title }}</a></h2>
              <div class="row">
                  <div class="col-md-9">
                      <p class="article-content">Details : {{ post.details }}</p>
                      <p class="article-content">Price : {{ post.price }}</p>
                      <p class="article-content">Contact : {{ post.contact }}</p>
                      <p class="article-content">Address : {{ post.address }}</p>
                  </div>
                  <!-- <div class="col-md-3">
                      <img class="article-post-img" src="{{ url_for('static', filename='profile_pics/' + post.pg_pic) }}">
                  </div> -->
              </div>
            </div>
    </article>
    {% endfor %}
{% endblock content %}
